PRELUDE SIEM - Bug #1093

prelude-admin Segmentation Fault raspbian
05/06/2019 12:16 PM - Marc-Antoine delannoy

Status: Assigned Start date: 05/06/2019
Priority: Normal Due date:

Assignee: Antoine LUONG % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Prelude OSS 5.1.0

Resolution:

Description

Hello,

| am trying to run the libprelude on a raspberry pi to use suricata with the prelude alert format.
| download the libprelude-5.0.0.tar.gz and decompress the archive.
then:

J/configure

make

make install

LD _LIBRARY_PATH=/usr/local/lib
export LD_LIBRARY_PATH

and when i try to use prelude-admin without argument it works and displays the help message.
But if for example i try prelude-admin list it returns a segmentation fault.
Same for any argument.

And if i run make check
| have 4 errors.
the end of the output is:

make check-TESTS check-local

make[3]: Entering directory '/home/suricata/libprelude-5.0.0/tests’

make[4]: Entering directory '/home/suricata/libprelude-5.0.0/tests'
../test-driver: line 95: 26741 Segmentation fault "s@" > Slog_file 2>&1
FAIL: async—timer

PASS: idmef

../test-driver: line 95: 26789 Aborted "$@" > Slog_file 2>&1
FAIL: idmef-criteria

PASS: idmef-message-helper

PASS: idmef-path

PASS: idmef-value

../test-driver: line 95: 26885 Segmentation fault "s$@" > Slog_file 2>&1
FAIL: prelude-client

PASS: prelude-string

../test-driver: line 95: 26933 Segmentation fault "$@" > Slog_file 2>&l
FAIL: prelude-timer

make[5]: Entering directory '/home/suricata/libprelude-5.0.0/tests'

make[5]: Nothing to be done for 'all'.

make[5]: Leaving directory '/home/suricata/libprelude-5.0.0/tests’
See tests/test-suite.log

Makefile:1881: recipe for target 'test-suite.log' failed

make[4]: *** [test-suite.log] Error 1

make[4]: Leaving directory '/home/suricata/libprelude-5.0.0/tests’
Makefile:1987: recipe for target 'check-TESTS' failed

make[3]: *** [check-TESTS] Error 2

make[3]: Leaving directory '/home/suricata/libprelude-5.0.0/tests’
Makefile:2117: recipe for target 'check-am' failed

make[2]: *** [check—am] Error 2

make[2]: Leaving directory '/home/suricata/libprelude-5.0.0/tests’
Makefile:1669: recipe for target 'check-recursive' failed
make[1l]: *** [check-recursive] Error 1

make[l]: Leaving directory '/home/suricata/libprelude-5.0.0"

Makefile:1954: recipe for target 'check' failed
make: *** [check] Error 2

Do you have any idea how to solve this?

Regards

History

#1 - 05/07/2019 11:30 PM - Thomas ANDREJAK
- Status changed from New to Assigned

- Priority changed from High to Normal

Hello
Can you give us a full backtrace from gdb when segmentation fault appears ?

It should works as under debian : https:/buildd.debian.org/status/package.php?p=libprelude
Is it possible for you to use these deb files ?

Regards

#2 - 05/09/2019 07:14 AM - Marc-Antoine delannoy

Yes that's what | did and it works with apt-get install libprelude-dev
Thank you for your help and excuse me for the inconvenience.
